# Packmangroup: Libraries
# Packmanpackagename: libieee1284
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>This library is intended to be used by applications that need to communicate with (or at least identify) devices that are attached via a parallel port.</p><p>It is written under the GNU General Public License.</p>
# Packmanpackagedesc_de: <p>Diese Bibliothek ist erstellt worden um Anwendungen die Kommunkation mit (oder auch nur die Identifikation von) Ger&auml;ten am Parallelport zu erm&ouml;glichen.</p><p>Die Bibliothek steht unter der GNU General Public License.</p>

Name:           libieee1284
Summary:        C++ multimedia framework
Summary(de):    C++ Multimedia-Framework
License:        GPL
Group:          System/Libraries
URL:            http://cyberelk.net/tim/libieee1284/
Version:        0.2.10
Release:        0.pm.0

Source0:        libieee1284-0.2.10.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SUSE LINUX 9.3 (i586)

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}

%description
This library is intended to be used by applications that need to communicate with
(or at least identify) devices that are attached via a parallel port.
It is written under the GNU General Public License.

Authors:
--------
    Tim Waugh <tim@cyberelk.net>

%description -l de
Diese Bibliothek ist erstetllt worden um Anwendungen die Kommunkation mit (oder auch nur
die Identifikation von) Geräten am Parallelport zu ermöglichen.
Die Bibliothek steht unter der GNU General Public License.

Autor:
------
    Tim Waugh <tim@cyberelk.net>

%package      devel
Summary:      libieee1284 development files
Summary(de):  libieee1284 Entwicklungsdateien
Group:        Development/Libraries/C and C++
License:      GPL
Requires:     %{name} = %{version}
# Packmandepends: libieee1284

%description devel
libieee1284-devel contains the files necessary to compile libieee1284 applications.

%description devel -l de
libieee1284-devel enthält die Dateien, die zum compilieren von Anwendungen, welche
die libieee1284 verwenden, beenötigen.

%prep
%setup

%build
mv configure configurex
cat configurex | sed -e "s/linux-gnu\*)/linux\*)/g" > configure
chmod 777 configure
%configure
%__make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README*
%{_libdir}/libieee1284.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/libieee1284.so
%{_libdir}/libieee1284.*a
%{py_sitedir}/ieee1284module.*
%{_includedir}/*
%{_mandir}/man*/*

%changelog
* Wed Mar 23 2005 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.2.10

* Fri Jan 21 2005 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.2.9

* Fri May 30 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.2.8

* Thu Mar 27 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added packman headers
- other changes to make it packman-conform

* Fri Feb 28 2003 Karol Pietrzak <The_Alchemist@earthlink.net> [0.2.7-0]
- no changes

* Mon Jan 27 2003 Karol Pietrzak <The_Alchemist@earthlink.net>
- added Requires to devel

* Fri Dec 27 2002 Karol Pietrzak <The_Alchemist@earthlink.net> [0.2.6-0]
- no changes

* Tue Nov 12 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- modified libusb SPEC file to compile on this package
- updated Authors
- added man pages to devel

* Tue Nov 12 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- updated Authors from AUTHORS file
- updated %doc files
- forced configure to disable documentation because jade fails
- added testlibieee1284 to main package, not devel

* Mon Nov 11 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- updated deletion of %{buildroot}
- moved ".so" files to devel package

* Sat Nov 9 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- initial SPEC file
